@charset "utf-8";
/*---------------------------------------------------------------------
Common Style
common.css
-----------------------------------------------------------------------
Copyright 2026 (c) linkpath Allrights Reserved.
Created: linkpath
Coding: Hinako Hayashi
Last Update: 2026.04.07
---------------------------------------------------------------------*/
@media screen and (max-width: 959px) {}
@media screen and (max-width: 482px) {}
/*===========================================================
    root
===========================================================*/
:root {
    --color-main: rgb(50, 50, 50);
    --color-base: rgb(255, 255, 255);
    --color-accent: rgb(209, 215, 16);
    --color-lightgrey: rgb(238, 238, 238);
    --color-green: rgb(0, 185, 0);
    --color-darkgreen: rgb(0, 91, 0);
    --color-yellow: rgb(255, 218, 54);
    --color-darkyellow: rgb(107, 62, 0);
    --color-orange: rgb(255, 108, 54);

    --color-main__transparent: rgba(50, 50, 50, 0.6);
    --color-base__transparent: rgba(255, 255, 255, 0.6);
    --color-accent__transparent: rgba(209, 215, 16, 0.3);
    --color-lightgrey__transparent: rgba(238, 238, 238, 0.3);
    --color-green__transparent: rgba(0, 185, 0, 0.1);
    --color-yellow__transparent: rgba(255, 218, 54, 0.3);
    --color-accent__dark__transparent: rgba(104, 141, 0, 0.55);
}

/*===========================================================
    common
===========================================================*/
html ,body ,.wrap {
    margin: 0;
    padding: 0;
    width: 100vw;
    width: 100dvw;
}
html ,body {
    scroll-behavior: smooth;
}

/*===========================================================
    body
===========================================================*/
body {
    font-family: "Inter", "Noto Sans JP";
    font-style: normal;
    overflow-x: hidden;
    position: relative;
    font-size: 0.9rem;
    line-height: 1.5em;
}
body::-webkit-scrollbar {
    display: none;
}

body, a {
    color: var(--color-main);
}

/*===========================================================
    font
===========================================================*/
.noto {
    font-family: "Noto Sans JP", sans-serif;
    font-style: normal;
}
.inter {
    font-family: "Inter", "Noto Sans JP";
    font-optical-sizing: auto;
    font-style: normal;
}
.bebas {
    font-family: "Bebas Neue", "Noto Sans JP";
    font-weight: 400;
    font-style: normal;
}

/*===========================================================
    base
===========================================================*/
/* width */
.width-1350 {
    max-width: 1350px;
    width: 90%;
    margin: 0 auto;
}

/*background*/
.back-main { background: var(--color-main);}
.back-base { background: var(--color-base);}
.back-accent { background: var(--color-accent);}
.back-lightgrey { background: var(--color-lightgrey);}
.back-green { background: var(--color-green);}
.back-darkgreen { background: var(--color-darkgreen);}
.back-yellow { background: var(--color-yellow);}
.back-darkyellow { background: var(--color-darkyellow);}
.back-orange { background: var(--color-orange);}
.back-main__transparent { background: var(--color-main__transparent);}
.back-base__transparent { background: var(--color-base__transparent);}
.back-accent__transparent { background: var(--color-accent__transparent);}
.back-lightgrey__transparent { background: var(--color-lightgrey__transparent);}
.back-green__transparent { background: var(--color-green__transparent);}
.back-yellow__transparent { background: var(--color-yellow__transparent);}
.back-blur {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
}


/* border */
.border-main { border: solid 1.5px var(--color-main);}
.border-base { border: solid 1.5px var(--color-base);}
.border-accent { border: solid 1.5px var(--color-accent);}
.border-lightgrey { border: solid 1.5px var(--color-lightgrey);}
.border-green { border: solid 1.5px var(--color-green);}
.border-darkgreen { border: solid 1.5px var(--color-darkgreen);}
.border-yellow { border: solid 1.5px var(--color-yellow);}
.border-darkyellow { border: solid 1.5px var(--color-darkyellow);}
.border-orange { border: solid 1.5px var(--color-orange);}
.border-main__transparent { border: solid 1.5px var(--color-main__transparent);}
.border-base__transparent { border: solid 1.5px var(--color-base__transparent);}
.border-accent__transparent { border: solid 1.5px var(--color-accent__transparent);}
.border-green__transparent { border: solid 1.5px var(--color-green__transparent);}
.border-yellow__transparent { border: solid 1.5px var(--color-yellow__transparent);}


/*color*/
.text-main { color: var(--color-main);}
.text-base { color: var(--color-base);}
.text-accent { color: var(--color-accent);}
.text-lightgrey { color: var(--color-lightgrey);}
.text-green { color: var(--color-green);}
.text-darkgreen { color: var(--color-darkgreen);}
.text-yellow { color: var(--color-yellow);}
.text-darkyellow { color: var(--color-darkyellow);}
.text-orange { color: var(--color-orange);}
.text-main__transparent { color: var(--color-main__transparent);}
.text-base__transparent { color: var(--color-base__transparent);}
.text-accent__transparent { color: var(--color-accent__transparent);}
.text-green__transparent { color: var(--color-green__transparent);}
.text-yellow__transparent { color: var(--color-yellow__transparent);}


/*svg fill*/
svg path.main, svg polygon.main { fill: var(--color-main);}
svg path.base, svg polygon.base { fill: var(--color-base);}
svg path.accent, svg polygon.accent { fill: var(--color-accent);}
svg path.lightgrey, svg polygon.lightgrey { fill: var(--color-lightgrey);}
svg path.green, svg polygon.green { fill: var(--color-green);}
svg path.darkgreen, svg polygon.darkgreen { fill: var(--color-darkgreen);}
svg path.yellow, svg polygon.yellow { fill: var(--color-yellow);}
svg path.darkyellow, svg polygon.darkyellow { fill: var(--color-darkyellow);}
svg path.orange, svg polygon.orange { fill: var(--color-orange);}
svg path.main__transparent, svg polygon.main__transparent { fill: var(--color-main__transparent);}